k0rdent AI Docs

Bulk enroll servers

Bulk enroll multiple servers via CSV or JSON file upload.

POST
/v1/regions/{region}/projects/{project}/infrastructure/servers:batchCreate

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

region*string

Region identifier

project*string

Project identifier

Request Body

application/json

servers?

Array of server registration requests

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.k0rdent.ai/v1/regions/string/projects/string/infrastructure/servers:batchCreate" \  -H "Content-Type: application/json" \  -d '{}'
{
  "succeeded": [
    {
      "selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/infrastructure/servers/server-p7q8r9",
      "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
      "id": "server-p7q8r9",
      "displayName": "string",
      "description": "string",
      "hardwareSpecs": {
        "cpu": {},
        "ram": {},
        "gpu": {}
      },
      "bmcAddress": "string",
      "provisioningState": "registered",
      "healthStatus": {
        "status": "healthy",
        "lastCheckTime": "2019-08-24T14:15:22Z",
        "failureReasons": [
          "string"
        ]
      },
      "tags": {
        "property1": "string",
        "property2": "string"
      },
      "persona": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "failed": [
    {
      "index": 0,
      "error": {
        "error": {
          "code": 0,
          "message": "string",
          "details": [
            {}
          ]
        }
      }
    }
  ]
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings